% z-transformacija simbolino

clear all
close all
clc

syms k z a T w fi
% z transformacija simbolino
% z transformacija stopnice
ztrans(sym(1))

% z transformacija eksponentne funkcije
ztrans(exp(-a*k*T), k, z)

% z transformacija k, k^2, k^3
ztrans(k)
ztrans(k^2)
ztrans(k^3)

% z transformacija sinusa
ztrans(sin(w*k*T), k, z)

% Teaven primer: x(k) = 1/k, k>=1 (pri k=0 je vrednost 0)
syms k z
ztrans(1/k,k,z) % to ne gre, pa tudi napano je, ker je pri k=0 signal napaen
X = symsum((1/k)/z^k, k, 1, inf) % rono izvedemo simbolino setevanje
pretty(X) % rezultat ( -log(1 - 1/z)) je pravilen, a ima mnogo pogojev za konvergenco - ti nas ne zanimajo
