% Ilustracija uporabe funkcij tf (za diskretne sisteme) in step

clear all
close all

% resolucija ekrana
screen_size = get(0, 'ScreenSize');

sys1=tf([1 0],[1 -0.9],-1)
sys2=tf(1 ,[1 -0.9],-1)
step(sys1,'b',sys2,'r')

xlabel('$$t$$','Interpreter','Latex','FontSize',14);
ylabel('$$y$$','Interpreter','Latex','FontSize',14);
title('Odziv dveh sistemov, opisanih s prenosno funkcijo, na stopnico','Interpreter','Latex','FontSize',16)
l = legend('$$G_1(z)=\frac{z}{z-0.9}$$', '$$G_1(z)=\frac{1}{z-0.9}$$');
set(l, 'Interpreter','Latex','FontSize',14)

set(gcf, 'Position', screen_size); % poveamo graf ez cel ekran
