% Ilustracija efekta zgibanja
close all;   clear all;

frek = 0;        % trenutna frekvenca
t = 0:pi/300:10; % zvezni as
tt = 0:1:10;     % diskretni as

y = sin(2*pi*frek*t);   % zvezni signal
yy = sin(2*pi*frek*tt); % vzoreni signal
ff = frek - round(frek);% frekvenca po zgibanju
yyy = sin(2*pi*ff*t);   % navidezni zvezni signal (s premaknjeno frekvenco)


% nariemo zvezni signal, vzoreni signal in navidezni zvezni signal
figure; set(gcf,'position',[60 130 1000 600],'MenuBar','none','NumberTitle','off')
hax = axes; set(hax,'Units','pixels'); set(hax,'Position', [150 50 800 500]);
h1 = line(t, y);  set(h1,'linewidth',0.5);
hold on
h2 = line(tt,yy,'LineStyle','none','Marker','o');
h3 = line(t,yyy,'LineStyle','--','Color',[1 0 0]);

% Nariemo drsnik za spreminjanje frekvence vzorcenja
text(-1.6,1,'$$\frac{f}{f_s}=$$','FontSize',14,'Interpreter','Latex'); 
roct=text(-1,1.,'0.0','FontSize',14,'Interpreter','Latex');

% nariemo gumb za start
roc1=uicontrol('style','pushbutton','string','Narii','Position',[60 20 60 30],'Callback','Prim09_Aliasing_callb');

% Kadar spremenimo drsnik, se vrednost izpie (na max. 3 decimalke)
roc2=uicontrol('style','slider','Position',[20 20 30 500],'Max',4,'Value',0);
set(roc2,'Callback',strcat('set(roct,''String'',num2str(get(roc2,''value''),3)),'))
