% Inverzna z transformacija simbolino

clear all
close all
clc

%             z^2
% G(z) = -------------
%        z^2-1.5*z+0.5

k_fin = 8;

% Uporaba iztrans
syms z k
rez1 = iztrans(z^2/(z^2-1.5*z+0.5),k);
% izraunajmo numerine vrednosti (pod asom)
k_v = 0:k_fin;
[k_v; subs(rez1,k,k_v)]
   
% Metoda deljenja z razvojem v Taylorjevo vrsto po negativnih potenach
syms zm1 % z^(-1)
rez2 = taylor(1/(1-1.5*zm1+0.5*zm1^2),k_fin+1); % v razvoju mora biti en len ve (tisti pri z^0)
% izpis na 4 decimalna mesta
vpa((subs(rez2,zm1,z^(-1))),4)

% Metoda deljenja z dekonvolucijo
[Rez,Ost] = deconv([[1 0 0],zeros(1,k_fin)],[1 -1.5 0.5])