% Izrisa Bodejevega diagrama, e je abscisa v Hz

close all
clear all

z = tf('z', 0.000125); % as vzorenja je 0.000125
G = 1 - z^(-8);
f = [100:5:4000]; % frekvenna os
w = 2*pi*f;     % krona frekvenca
[Ojac, Faza] = bode(G,w);% izraun ojaenja in faze (v stopinjah) pri w
Ojac_dB = 20 * log10(Ojac);
subplot(211);
semilogx(f, Ojac_dB(:)); % (:) naredi iz 3-D matrike stolpni vektor
subplot(212);
semilogx(f, Faza(:)); % (:) naredi iz 3-D matrike stolpni vektor

% 2. monost
figure
BO = bodeoptions;
BO.FreqUnits = 'Hz';
bodeplot(G, BO)
